<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.Samples.ErrorDialog Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_samples_1_1_error_dialog.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="class_tri_lib_1_1_samples_1_1_error_dialog-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.Samples.ErrorDialog Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Represents the asset loader error dialog UI component.  
 <a href="class_tri_lib_1_1_samples_1_1_error_dialog.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for TriLib.Samples.ErrorDialog:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_tri_lib_1_1_samples_1_1_error_dialog.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a164d40570c918dac17e2593bc35f4ce7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_error_dialog.html#a164d40570c918dac17e2593bc35f4ce7">ShowDialog</a> (string text)</td></tr>
<tr class="memdesc:a164d40570c918dac17e2593bc35f4ce7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shows the error dialog.  <a href="class_tri_lib_1_1_samples_1_1_error_dialog.html#a164d40570c918dac17e2593bc35f4ce7">More...</a><br /></td></tr>
<tr class="separator:a164d40570c918dac17e2593bc35f4ce7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a611dbb97b06e28cf5c951054f9ea48a9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_error_dialog.html#a611dbb97b06e28cf5c951054f9ea48a9">HideDialog</a> ()</td></tr>
<tr class="memdesc:a611dbb97b06e28cf5c951054f9ea48a9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Hides the error dialog.  <a href="class_tri_lib_1_1_samples_1_1_error_dialog.html#a611dbb97b06e28cf5c951054f9ea48a9">More...</a><br /></td></tr>
<tr class="separator:a611dbb97b06e28cf5c951054f9ea48a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a88cd61afaa45e307340aa137a4e49e0a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_error_dialog.html#a88cd61afaa45e307340aa137a4e49e0a">Awake</a> ()</td></tr>
<tr class="memdesc:a88cd61afaa45e307340aa137a4e49e0a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes variables.  <a href="class_tri_lib_1_1_samples_1_1_error_dialog.html#a88cd61afaa45e307340aa137a4e49e0a">More...</a><br /></td></tr>
<tr class="separator:a88cd61afaa45e307340aa137a4e49e0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a27b7bb56fac760527ef2734d6e6d808a"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="class_tri_lib_1_1_samples_1_1_error_dialog.html">ErrorDialog</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_error_dialog.html#a27b7bb56fac760527ef2734d6e6d808a">Instance</a><code> [get]</code></td></tr>
<tr class="memdesc:a27b7bb56fac760527ef2734d6e6d808a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class singleton.  <a href="class_tri_lib_1_1_samples_1_1_error_dialog.html#a27b7bb56fac760527ef2734d6e6d808a">More...</a><br /></td></tr>
<tr class="separator:a27b7bb56fac760527ef2734d6e6d808a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a9b32095245e557ab1eabae60487023"><td class="memItemLeft" align="right" valign="top"><a id="a3a9b32095245e557ab1eabae60487023" name="a3a9b32095245e557ab1eabae60487023"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>Text</b><code> [getset]</code></td></tr>
<tr class="separator:a3a9b32095245e557ab1eabae60487023"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Represents the asset loader error dialog UI component. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a88cd61afaa45e307340aa137a4e49e0a" name="a88cd61afaa45e307340aa137a4e49e0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88cd61afaa45e307340aa137a4e49e0a">&#9670;&nbsp;</a></span>Awake()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TriLib.Samples.ErrorDialog.Awake </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Initializes variables. </p>

</div>
</div>
<a id="a611dbb97b06e28cf5c951054f9ea48a9" name="a611dbb97b06e28cf5c951054f9ea48a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a611dbb97b06e28cf5c951054f9ea48a9">&#9670;&nbsp;</a></span>HideDialog()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TriLib.Samples.ErrorDialog.HideDialog </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Hides the error dialog. </p>

</div>
</div>
<a id="a164d40570c918dac17e2593bc35f4ce7" name="a164d40570c918dac17e2593bc35f4ce7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a164d40570c918dac17e2593bc35f4ce7">&#9670;&nbsp;</a></span>ShowDialog()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TriLib.Samples.ErrorDialog.ShowDialog </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>text</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Shows the error dialog. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">text</td><td>Error text to display.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a27b7bb56fac760527ef2734d6e6d808a" name="a27b7bb56fac760527ef2734d6e6d808a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27b7bb56fac760527ef2734d6e6d808a">&#9670;&nbsp;</a></span>Instance</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_tri_lib_1_1_samples_1_1_error_dialog.html">ErrorDialog</a> TriLib.Samples.ErrorDialog.Instance</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Class singleton. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Samples/Scripts/<a class="el" href="_error_dialog_8cs.html">ErrorDialog.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="namespace_tri_lib_1_1_samples.html">Samples</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_samples_1_1_error_dialog.html">ErrorDialog</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
